linux: 3.2.0-67.101 -proposed tracker

Bug #1338654 reported by Luis Henriques on 2014-07-07
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-lbm
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-67.100 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 07. July 2014 16:11 UTC
kernel-stable-Prepare-package-end:Tuesday, 08. July 2014 04:12 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 08. July 2014 04:12 UTC
ppa-package-testing-start:Tuesday, 08. July 2014 04:12 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 09. July 2014 22:01 UTC
kernel-stable-Verification-testing-start:Wednesday, 09. July 2014 23:01 UTC
kernel-stable-Certification-testing-start:Wednesday, 09. July 2014 23:01 UTC
kernel-stable-Security-signoff-start:Wednesday, 09. July 2014 23:01 UTC
kernel-stable-Regression-testing-start:Wednesday, 09. July 2014 23:01 UTC
kernel-stable-Regression-testing-end:Friday, 11. July 2014 22:03 UTC
kernel-stable-Verification-testing-end:Monday, 14. July 2014 13:04 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 16. July 2014 20:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 16. July 2014 21:05 UTC

Luis Henriques (henrix) on 2014-07-07
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1338869
linux-armadaxp - bug 1338870
linux-lowlatency - bug 1338871

description: updated

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Precise):
status: New → Confirmed
Chris J Arges (arges) wrote :

promoted into proposed

Brad Figg (brad-figg) on 2014-07-09
description: updated
Download full text (5.7 KiB)

The following packages ended up in the wrong component in the -proposed pocket:

linux-backports-modules-cw-3.10-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.10-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.10-3.2.0-67-generic-pae 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.10-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.10-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.11-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.11-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.11-3.2.0-67-generic-pae 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.11-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.11-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.12-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.12-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.12-3.2.0-67-generic-pae 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.12-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.12-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.3-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.3-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.3-3.2.0-67-generic-pae 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.3-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.3-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.4-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.4-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.4-3.2.0-67-generic-pae 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.4-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.4-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.5-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.5-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.5-3.2.0-67-generic-pae 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.5-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.5-3.2.0-67-virtual 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.6-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.6-3.2.0-67-generic 3.2.0-67.59 - is in universe instead of main
linux-backports-modules-cw-3.6-3.2.0-67-generic-pae 3.2.0-67.59 - is in universe instead of main
linux-b...

Read more...

description: updated

Fixed overrides for LBM.

Brad Figg (brad-figg) on 2014-07-09
description: updated
Brad Figg (brad-figg) on 2014-07-09
description: updated
Paul Larson (pwlars) on 2014-07-11
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-07-11
description: updated
Brad Figg (brad-figg) on 2014-07-14
description: updated
Luis Henriques (henrix) on 2014-07-16
summary: - linux: 3.2.0-67.100 -proposed tracker
+ linux: 3.2.0-67.101 -proposed tracker
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-67.101

---------------
linux (3.2.0-67.101) precise; urgency=low

  [ Upstream Kernel Changes ]

  * l2tp: Privilege escalation in ppp over l2tp sockets
    - LP: #1341472
    - CVE-2014-4943

linux (3.2.0-67.100) precise; urgency=low

  [ Luis Henriques ]

  * Merged back Ubuntu-3.2.0-65.99 security release
  * Revert "x86_64,ptrace: Enforce RIP <= TASK_SIZE_MAX (CVE-2014-4699)"
    - LP: #1337339
  * Release Tracking Bug
    - LP: #1338654

  [ Upstream Kernel Changes ]

  * ptrace,x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699

linux (3.2.0-66.99) precise; urgency=low

  * Release Tracking Bug
    - LP: #1335906

  [ Upstream Kernel Changes ]

  * skbuff: export skb_copy_ubufs
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: add an api to orphan frags
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: skb_segment: orphan frags before copying
    - LP: #1298119
    - CVE-2014-0131
  * lib/lzo: Rename lzo1x_decompress.c to lzo1x_decompress_safe.c
    - CVE-2014-4608
  * lib/lzo: Update LZO compression to current upstream version
    - CVE-2014-4608
  * lzo: properly check for overruns
    - CVE-2014-4608
  * KVM: x86 emulator: add support for vector alignment
    - LP: #1330177
  * KVM: x86: emulate movdqa
    - LP: #1330177
 -- Luis Henriques <email address hidden> Mon, 14 Jul 2014 16:07:35 +0100

Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Released
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2014-07-16
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
John Johansen (jjohansen) wrote :

USN already published

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers